C*****************************************************************************
C  FILLMOD.FOR
C
C  This sample program demonstrates area fill modes.
C****************************************************************************
      include   "pgl.for"
      integer*2 j, ierr
C	
C	Open A Drawing File.
C	
	call pgInitDrw( "FILLMOD.PLT"//CHAR(0), 2000, 2000, ierr) 
      if( ierr .ne. 0)then
         print *, 'Error opening drawing file!'
         stop
      endif

      call pgSetTextStyle( pgTRIPLEX ) 
      call pgSetTextJustify( pgCENTER, pgBOTTOM ) 
      call pgSetCharSpacing( 3 )
      call pgSetTextScaling( 2,1,2,1 ) 
      call pgSetColor( 15 )

      call pgSetFillMode( pgOPAQ ) 
      call pgSetFillStyle( pgFSLASH, 1 ) 
      call pgEllipse( 750, 500, 500, 300, pgOFILL ) 
      call pgSetFillStyle( pgFBKSLASH, 1 ) 
      call pgEllipse( 1250, 500, 500, 300, pgOFILL ) 
      call pgDrawTextXY( 1000, 900, "Opaque Fill Mode"//CHAR(0) ) 

      call pgSetFillMode( pgTRANS ) 
      call pgSetFillStyle( pgFSLASH, 1 ) 
      call pgEllipse( 750, 1500, 500, 300, pgOFILL ) 
      call pgSetFillStyle( pgFBKSLASH, 1 ) 
      call pgEllipse( 1250, 1500, 500, 300, pgOFILL ) 
      call pgDrawTextXY( 1000, 1900, "Transparent Fill Mode"//CHAR(0) ) 

C
C      Close The Drawing File.
C	
      call pgEndDrw() 
C
      END
